%define orig_name libopensync-plugin-file
Name: libopensync0-plugin-file
Version: 0.22
Release: alt0.M41.1

Summary: File sync. plugin for OpenSync
License: GPL
Group: System/Libraries
URL: http://www.opensync.org/
Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source: %orig_name-%version.tar.bz2

Requires: libopensync0 = %version
# Conflicts: %orig_name

# Automatically added by buildreq on Thu Oct 16 2008
BuildRequires: gcc-c++ gcc-fortran glib2-devel glibc-devel-static libopensync0-devel libxml2-devel

%description
This plugin allows applications using OpenSync to synchronise to and from
files stored on disk.

%prep
%setup -q -n %orig_name-%version

%build
%configure
%make

%install
%makeinstall install DESTDIR=%buildroot
rm -f %buildroot%_libdir/opensync/plugins/*.la
rm -f %buildroot%_libdir/opensync/formats/*.la

%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%_libdir/opensync/plugins/file_sync.so
%_datadir/opensync/defaults/file-sync

%changelog
* Mon Oct 20 2008 Andriy Stepanov <stanv@altlinux.ru> 0.22-alt0.M41.1
- M41

* Thu Oct 16 2008 Andriy Stepanov <stanv@altlinux.ru> 0.22-alt2
- Stable version.

* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 0.22-alt1
- 0.22

* Mon Feb 12 2007 Alexey Shabalin <shaba@altlinux.ru> 0.21-alt1
- 0.21
- cleanup spec(drop cvs)

* Wed Nov 08 2006 Alexey Shabalin <shaba@altlinux.ru> 0.20-alt1
- release 0.20

* Tue Oct 03 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt2
- release 0.19
- disable fam suport in upstream

* Thu Sep 21 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt1cvs20060921
- svn version 20060921

* Tue Jul 18 2006 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt3cvs20060718
- svn version 20060718

* Mon May 29 2006 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt3cvs20060529
- svn version 20060529

* Tue Jan 31 2006 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt2
- change fam support to gamin

* Tue Nov 22 2005 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt1
- 0.18 release
- build for Sisyphus
- add Packager SynCE Development Team

* Fri Sep 30 2005 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt0.1.cvs20050930
- Initial package
